/**
 * Created by user on 2017/8/8.
 */
var hv = getQueryString("hv");
var consume = getQueryString("consume");
var token = getQueryString("token");
var evn = getQueryString("evn");

/**
 *  得到中奖结果、播放位置、提示文字
 * */
function getNumAndTip(info){
    var _expNum=parseInt(info.expVal),_funNum=parseInt(info.fanpiaoVal),_miNum=parseInt(info.fanliVal);
    var _expIndex = 0,_fanpiaoIndex = 0,_fanliIndex = 0; //默认没选中
    var _expTip = "很遗憾",_fanpiaoTip = "很遗憾",_fanliTip = "很遗憾";
    //活动页: 0-kong 1-fun 2-饭粒 3-经验
    var sort = [-14.1,-16,-10.2,-12.1];

    if(_expNum>0){
        _expIndex = 3;
        _expTip = "+"+_expNum;
    }
    if(_funNum>0){
        _fanpiaoIndex = 1;
        _fanpiaoTip = "+"+_funNum;
    }
    if(_miNum>0){
        _fanliIndex = 2;
        _fanliTip = "+"+_miNum;
    }

    var expTop=sort[_expIndex]; //经验
    var fanpiaoTop=sort[_fanpiaoIndex]; //饭票
    var fanliTop=sort[_fanliIndex]; //饭粒

    return {
        num:{
            expVal:info.expVal,
            fanpiaoVal:info.fanpiaoVal,
            fanliVal:info.fanliVal,
        },
        tip:{
            expVal:_expTip,
            fanpiaoVal:_fanpiaoTip,
            fanliVal:_fanliTip,
        },
        top:{
            expVal:expTop,
            fanpiaoVal:fanpiaoTop,
            fanliVal:fanliTop,
        }

    }


}



/**
 * 活动的抽奖
 *  expNum 经验值 （int）
 *  funNum 盒饭数（int）
 *  miNum 米粒数（int）
 * */

function letGo(info,success){
    var _top1=-25.5,_top2=-2.5;
    var actData = getNumAndTip(info);

    var expTop=actData.top.expVal;
    var fanpiaoTop=actData.top.fanpiaoVal;
    var fanliTop=actData.top.fanliVal;


    $(".num-con1").animate({"top":_top1+"rem"},1500,"linear", function () {
        $(this).css("top",_top2+"rem").animate({"top":expTop+"rem"},800,"linear",function(){
            $(".num1 .text").html(actData.tip.expVal).fadeIn(500);
        });
    });
    setTimeout(function(){
        $(".num-con2").animate({"top":_top1+"rem"},1500,"linear", function () {
            $(this).css("top",_top2+"rem").animate({"top":fanpiaoTop+"rem"},800,"linear",function(){
                $(".num2 .text").html(actData.tip.fanpiaoVal).fadeIn(500);
            });
        });
    },250)
    setTimeout(function(){
        $(".num-con3").animate({"top":_top1+"rem"},1500,"linear", function () {
            $(this).css("top",_top2+"rem").animate({"top":fanliTop+"rem"},800,"linear",function(){
                $(".num3 .text").html(actData.tip.fanliVal).fadeIn(500);

                if(actData.num.expVal!=0||actData.num.fanpiaoVal!=0||actData.num.fanliVal!=0){
                    success()
                }
            });
        });
    },430)
}


/**
 * 若已经抽过奖，在活动页显示抽奖的结果
 * **/
function showAwardResult(info){
    var act_data = getNumAndTip(info)

    var expTop=act_data.top.expVal;
    var fanpiaoTop=act_data.top.fanpiaoVal;
    var fanliTop=act_data.top.fanliVal;

    $(".num-con1").css("top",expTop+"rem");
    $(".num1 .text").html(act_data.tip.expVal).fadeIn(500);

    $(".num-con2").css("top",fanpiaoTop+"rem");
    $(".num2 .text").html(act_data.tip.fanpiaoVal).fadeIn(500);

    $(".num-con3").css("top",fanliTop+"rem");
    $(".num3 .text").html(act_data.tip.fanliVal).fadeIn(500);

}


function userSignAward(callback,errorFun){

    // var info = {
    //     code: 1000,
    //     msg: "成功",
    //     data:
    //         {
    //             id: "11111",
    //             userId: "1212",
    //             fanpiaoVal: "0",
    //             fanliVal: "0",
    //             expVal: "30",
    //             awardDate: "1",
    //             awardTimes: "2"
    //         }
    // }
    //
    // callback(info,errorFun);

    //apiConf.ajaxLink = "http://devapi.hefantv.com/";

    $.ajax({
        type: "GET",
        url:  apiConf.ajaxLink +"v1/h5/sign/userSignAward?data={'consume':'"+consume+"','token':'"+token+"'}",
        dataType: "json",
        // headers: {
        //     http_origin: 'club.hefantv.com'
        // }
        success: function (info) {
            callback(info);
        },
        error: function (error) {
            if(errorFun){
                errorFun(error);
            }
        }
    })
}


function getUserSignAwardStatus(callback,errorFun){

    // var info = {
    //     "code": "1000",
    //     "data":
    //     {
    //         "signStatus": "0",
    //         expVal:20,
    //         fanpiaoVal:0,
    //         fanliVal:10
    //     },
    //     "msg": "成功"
    // }
    //
    // callback(info,errorFun);


    $.ajax({
        type: "GET",
        url:  apiConf.ajaxLink +"v1/h5/sign/h5UserSignStatus?data={'consume':'"+consume+"','token':'"+token+"'}",
        dataType: "json",
        success: function (info) {
            callback(info);
        },
        error: function (error) {
            if(errorFun){
                errorFun(error);
            }
        }
    })

}



function toast(text){
    if(hv>=5){
        var sort = [
            ["returnType","12"],
            ["toastType","0"],
            ["toastText",text],
        ];
        h5gotoAppVerson(hv, sort);
    }
}


